petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMLabelHasPoint

Determine whether a label assigns a value to a point

### Synopsis

    #include "petscdmlabel.h"
    #include "petscis.h"
    PetscErrorCode DMLabelHasPoint(DMLabel label, PetscInt point, PetscBool *contains)

### Input Parameters

| label | - the DMLabel
| point | - the point

### Output Parameter

contains -Flag indicating whether the label maps this point to a value

Note: The user must call DMLabelCreateIndex() before this function.

### See Also

DMLabelCreateIndex(), DMLabelGetValue(), DMLabelSetValue()

### Level

developer

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages